# ModifyPageParams class

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true, createFactory: false)

## Constructors

ModifyPageParams.new({required String documentID, required String pageID, PageRotation? rotation, List<PolygonPoint>? polygon, List<ParametricFilter>? filters})

## Properties

documentID ↔ String
  Document ID in which this page exists.
  getter/setter pair
filters ↔ List<ParametricFilter>?
  The list of filters to apply.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
pageID ↔ String
  Page by its ID that will be modified.
  getter/setter pair
polygon ↔ List<PolygonPoint>?
  The array of recognition polygon points to apply.
  getter/setter pair
rotation ↔ PageRotation?
  The type of rotation to apply. If not specified, no rotation is applied.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited